/* utilities.css */

@import "spacing.css";
@import "margins.css";
@import "widths.css";


/* Text alignment */
.text-right { text-align: right; }
.text-center { text-align: center; }

/* Spacing (sample, puedes ampliar) */
.px-4 {
    padding-left: var(--space-4);
    padding-right: var(--space-4);
}

.py-4 {
    padding-top: var(--space-4);
    padding-bottom: var(--space-4);
}

/* =========================================================
   Size Utilities
   ========================================================= */

.w-9 {
    width: calc(var(--spacing) * 9);
}

.h-9 {
    height: calc(var(--spacing) * 9);
}

.r-f {
    border-radius: 3.40282e+38px;
}

/* =========================================================
   Radius Utilities
   ========================================================= */

.radius-full {
    border-radius: 9999px;
}

/* =========================================================
   Text Utilities
   ========================================================= */

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}
